Bug 1121372 - Fedora doesn't automatically load the i915 driver for Intel i3 Integrated Graphics
Summary: Fedora doesn't automatically load the i915 driver for Intel i3 Integrated Gra...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 03:49 UTC by Justin W. Flory
Modified: 2015-06-29 21:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:39:26 UTC


Attachments (Terms of Use)

Description Justin W. Flory 2014-07-20 03:49:49 UTC
Description of problem:
Since the day I first purchased this Toshiba laptop, Fedora hasn't been running properly, which I did not learn until now.

I use an Intel i3 chip, and as far as I know, the graphics system is integrated into the CPU. I'm not a hardware expert, so please pardon any mistakes on my part.

One of the first things I installed on my laptop was Intel's provided graphics installer for Linux (https://01.org/linuxgraphics/downloads/2014/intelr-graphics-installer-1.0.4-linux). Doing this had little to no effect on improving my computer's performance for gaming or just a smooth and interactive experience with the UI of the operating system.

I tried installing multiple sets of drivers and different packages to no avail. On AskFedora, where I originally learned that what I was experiencing was a bug, a user had me run `ls /dev/dri/`, and no files or directories were found at this location (also, AskFedora link is at the bottom).

It wasn't until I manually edited the kernel on bootup and added `i915.modeset=1` to one of the lines that I was able to successfully load the driver, and for lack of a better way of putting, "truly" experience Fedora like the way it was meant to be experienced.

Version-Release number of selected component (if applicable):
Unknown

How reproducible:
Until I edited the grub.cfg file and added `i915.modeset=1` to the kernel command line, this would happen every time.


Actual results:
OS is unable to load the i915 driver automatically on startup and performance on computer is drastically reduced from its full capabilities

Expected results:
Successfully load the i915 driver

Additional info:
Further tests and trials on AskFedora (https://ask.fedoraproject.org/en/question/38116/issues-with-libgl-on-fedora-20-unable-to-load-driver-swrast/)

Comment 1 Adam Jackson 2014-11-18 18:59:41 UTC
What else do you have on the kernel command line?

Comment 2 Justin W. Flory 2014-11-18 23:04:12 UTC
Hey Adam,

Here is the excerpt from my grub2.cfg file for the latest kernel. I think this is what you need, but if not, just let me know. Thanks.

menuentry 'Fedora (3.17.2-200.fc20.x86_64) 20 (Heisenbug)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.11.10-301.fc20.x86_64-advanced-53faeb77-9d8c-4034-8eaa-b83f9f592e9a' {
        load_video
        set gfxpayload=keep
        insmod gzio
        insmod part_msdos
        insmod ext2
        set root='hd0,msdos1'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  f39073af-35a2-41d3-a8bf-d38c9bfafe67
        else
          search --no-floppy --fs-uuid --set=root f39073af-35a2-41d3-a8bf-d38c9bfafe67
        fi
        linux   /vmlinuz-3.17.2-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap nomodeset rd.lvm.lv=fedora/root vconsole.font=latarcyrheb-sun16  rhgb quiet LANG=en_US.UTF-8 i915.modeset=1
        initrd /initramfs-3.17.2-200.fc20.x86_64.img
}

Comment 3 Fedora End Of Life 2015-05-29 12:25:02 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:39:26 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.